### Constructor

# Gtk ColumnViewnew

#### Declaration [src]

    GtkWidget*
    gtk_column_view_new (
      GtkSelectionModel* model
    )

#### Description [src]

Creates a new `GtkColumnView`.

You most likely want to call `gtk_column_view_append_column()` to add columns next.

#### Parameters

`model`

  Type: `GtkSelectionModel`

  The list model to use.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `GtkWidget`

A new `GtkColumnView`

The data is owned by the called function.